import { Stack } from "expo-router";
import React, { useState } from 'react';

import SignInScreen from "@/components/auth/SignInScreen";
import { PushNotificationManager }
from "@/components/services/notifications/PushNotificationManager";

export default function RootLayout() {
  const [isSignedIn, setIsSignedIn] = useState(false);
  if (!isSignedIn) {
    return (
      <SignInScreen onSignIn={() => setIsSignedIn(true)} />
    );
  }
  return (
    <PushNotificationManager>
      <Stack>
        <Stack.Screen name="(tabs)" options={{ headerShown: false }} />
        <Stack.Screen name="+not-found" />
      </Stack>
    </PushNotificationManager>
  );
}
